I need help to work my software CGI ! please ?

Issues related to applications and software problems
RobhG
Posts: 7
Joined: 2017/11/18 14:53:49

I need help to work my software CGI ! please ?

Postby RobhG » 2017/11/18 15:07:02

The software I use, requires Red Hat Linux 6.2 or later (along with XFree 4.01) but when trying to install in CentOS current, it does not open the installer, is there an environment that CentOS can try to build so I can work? the Software that I always use is SoftImage 3D 4.0, if possible I can also send a copy of my disk with my license to the CentOS team of programmers to do an analysis and make a possible solution.

User avatar
TrevorH
Forum Moderator
Posts: 21174
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: I need help to work my software CGI ! please ?

Postby TrevorH » 2017/11/18 15:22:53

Honestly? You need to find something newer - RHL 6.2 is from April 2000 and expecting backwards compatibility to be maintained for 17 years is a bit too much.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

RobhG
Posts: 7
Joined: 2017/11/18 14:53:49

Re: I need help to work my software CGI ! please ?

Postby RobhG » 2017/11/18 15:37:03

TrevorH wrote:Honestly? You need to find something newer - RHL 6.2 is from April 2000 and expecting backwards compatibility to be maintained for 17 years is a bit too much.

I think the problem is only in Xfree 4.01, maybe if CentOS send a graphical environment with Xfree 4.01 it might work, but like I said, I can send the copy of my software for analysis, SoftImage 3D 4.0 to see what can be done.

User avatar
TrevorH
Forum Moderator
Posts: 21174
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: I need help to work my software CGI ! please ?

Postby TrevorH » 2017/11/18 16:56:50

CentOS is a rebuild of RHEL, exactly as-is. The only modifications to it are to remove Redhat's branding and logos etc. If changes were needed to it to make your ancient software work then those would need to be made by Redhat and released as part of RHEL before they became a part of CentOS.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

RobhG
Posts: 7
Joined: 2017/11/18 14:53:49

Re: I need help to work my software CGI ! please ?

Postby RobhG » 2017/11/18 17:15:03

TrevorH wrote:CentOS is a rebuild of RHEL, exactly as-is. The only modifications to it are to remove Redhat's branding and logos etc. If changes were needed to it to make your ancient software work then those would need to be made by Redhat and released as part of RHEL before they became a part of CentOS.

I'm going to start a CGI-based distribution project, trying to port the package to my software run, since it was originally designed for SGI Octane 2, thank you for your attempt to help, but still want to proceed, tell me about any news you have !.

tunk
Posts: 209
Joined: 2017/02/22 15:08:17

Re: I need help to work my software CGI ! please ?

Postby tunk » 2017/11/18 22:06:20

Are you saying you have the source code?
If not, it will never happen; SGI used different OS and hardware.
If you have the code, I think you will have a very hard time; I guess this software was very tightly integrated with the hardware.
I think it will be easier to see if you can find some free software that has similar capabilities.

RobhG
Posts: 7
Joined: 2017/11/18 14:53:49

Re: I need help to work my software CGI ! please ?

Postby RobhG » 2017/11/19 11:58:25

tunk wrote:Are you saying you have the source code?
If not, it will never happen; SGI used different OS and hardware.
If you have the code, I think you will have a very hard time; I guess this software was very tightly integrated with the hardware.
I think it will be easier to see if you can find some free software that has similar capabilities.

No, it will work fine on linux, the star wars animators of 2003 said it's a great animation tool and I've used it, it's great, but I need help to run it, I have version 4.0 of 2002 released for Windows NT, XP, Irix and Linux Red Hat 6.2 and Red Hat 6.2 is free and can be downloaded full company website, so probably OpenSUSE can help me if I send all the RPMs that accompany Red Hat 6.2, since SoftImage 3D 4.0 2002 requires Xfree 4.1, probably OpenSUSE will be of great help.

RobhG
Posts: 7
Joined: 2017/11/18 14:53:49

Re: I need help to work my software CGI ! please ?

Postby RobhG » 2017/11/19 14:36:34

TrevorH wrote:CentOS is a rebuild of RHEL, exactly as-is. The only modifications to it are to remove Redhat's branding and logos etc. If changes were needed to it to make your ancient software work then those would need to be made by Redhat and released as part of RHEL before they became a part of CentOS.

Do you have any news of help that can solve the problem?.

User avatar
TrevorH
Forum Moderator
Posts: 21174
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: I need help to work my software CGI ! please ?

Postby TrevorH » 2017/11/19 15:09:14

There is no news that will help solve the problem. Find newer software that does a similar job - yours was abandoned more than 15 years ago.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

tunk
Posts: 209
Joined: 2017/02/22 15:08:17

Re: I need help to work my software CGI ! please ?

Postby tunk » 2017/11/20 16:28:23

I guess you could try to install RH6.2 as a VM.